public class Grandpa{
  private String name;
  private int age=-1;

  public Grandpa(){
    name="未知";
  }   
  
  public Grandpa(String name,int age){
    this.name=name;
    this.age=age;
  }

  public void eat(String food){
    System.out.println(food+"真好吃！");
  }

  public void delete(int a,int b){
    int result=a-b;
    System.out.println("运算："+a+"-"+b+"="+result);
  }
  
  public void printInfo(){
    System.out.println("姓名:"+name +"    年龄:"+age);
  }

}